summaryrefslogtreecommitdiffstats
path: root/desktop/windowlist
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:32:22 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:32:22 -0400
commitbecfa2384214aaf28e775b1859cce3df5a1bc8ad (patch)
treee54c86d4c86d7e801025963a3ffd83269976072b /desktop/windowlist
parent178dc8d29d7612ecdfc2238cfd99d0306abf320b (diff)
downloadslackbuilds-becfa2384214aaf28e775b1859cce3df5a1bc8ad.tar.gz
slackbuilds-becfa2384214aaf28e775b1859cce3df5a1bc8ad.tar.xz
desktop/windowlist: Fixed for bash4.
Diffstat (limited to 'desktop/windowlist')
-rw-r--r--desktop/windowlist/windowlist.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/desktop/windowlist/windowlist.SlackBuild b/desktop/windowlist/windowlist.SlackBuild
index 4dd243a150..c2bfbeb2fa 100644
--- a/desktop/windowlist/windowlist.SlackBuild
+++ b/desktop/windowlist/windowlist.SlackBuild
@@ -53,12 +53,8 @@ cd build
make install DESTDIR=$PKG
cd -
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING CHANGELOG README INSTALL TODO $PKG/usr/doc/$PRGNAM-$VERSION